#version 410 core

layout(location = 0) in vec2 aPos;   // Vertex position
out vec2 vUV;

void main() {
    vUV = (aPos + 1.0) / 2.0; // NDC [-1,1] -> UV [0,1]
    gl_Position = vec4(aPos, 0.0, 1.0);
}

